PHP8.1 error

  • helsinkisisu
  • Topic Author
  • Offline
  • Junior Member
  • Junior Member
More
2 weeks 5 days ago #9299 by helsinkisisu
PHP8.1 error was created by helsinkisisu
I've today started getting a error that causes Joomla to fail to load. Turning on debugging reveals something in SCP (see image). Disabling the component fixes the problem.


It's worth mentioning that the site was running fine until I uninstalled an old plugin. I've tried reinstalling the latest version of SCP, but it didn't fix.

I'm in the process of upgrading to J4 and PHP8 was the first step.

I'm running:
Joomla 3.10.11
SCP 3.5.1
PHP 8.1.9
MySQL 8.0.30
Attachments:

Please Log in or Create an account to join the conversation.

More
2 weeks 5 days ago - 2 weeks 5 days ago #9300 by Jose
Replied by Jose on topic PHP8.1 error
Hi Helsinkisisu,

It's really odd as latest version (3.5.1) is fully compatible with PHP 8.1 and also J4. For some reason that function receives a not valid comparison operator and that's why you get the error.

Did you try uninstalling the entire extension and reinstalling it? If you did it, could I get access to the site (FTP and backend) to do some tests? If so please send me administrative credentials to the email from which you receive forum notifications.

Regards,
Jose
Last edit: 2 weeks 5 days ago by Jose.

Please Log in or Create an account to join the conversation.

  • helsinkisisu
  • Topic Author
  • Offline
  • Junior Member
  • Junior Member
More
2 weeks 5 days ago #9301 by helsinkisisu
Replied by helsinkisisu on topic PHP8.1 error
I've restored the site from backup and it's working fine again.

The old plugin I uninstalled from the J3 live site was only disabled on the upgraded J4 test site. I just uninstalled it and there with no problem.

I'll try it again on the J3 site to see if the problem repeats. I can quickly restore again if needed.

Please Log in or Create an account to join the conversation.

More
2 weeks 5 days ago #9302 by Jose
Replied by Jose on topic PHP8.1 error
Ok, I will be ready to help you if the problem arises again.

Regards,
Jose

Please Log in or Create an account to join the conversation.

  • helsinkisisu
  • Topic Author
  • Offline
  • Junior Member
  • Junior Member
More
2 weeks 5 days ago #9303 by helsinkisisu
Replied by helsinkisisu on topic PHP8.1 error
OK, I disabled the rogue plugin (Perfect Link with Article Images on Facebook PRO), then uninstalled it from J3 again. Site broken again.

I disabled SCP in the DB, reinstalled the plugin, then enabled SCP. Still broken.

Site restored from backup again now.

So uninstalling the plugin does something that breaks SCP and/or J3 but the plugin's installation doesn't reverse the break.

The plugin is no longer used, and isn't J4 compatible (and I don't think it's even still available). However, if you would like a copy to see if you can spot anything in the uninstall script, I am happy to send you a copy (35kB).

Please Log in or Create an account to join the conversation.

More
2 weeks 5 days ago #9304 by Jose
Replied by Jose on topic PHP8.1 error
Hi Helsinkisisu,

That function checks extensions installed against the vulnerabilities database. For some reason when that extension is unistalled it breaks the process. Please, send me the extension to do some tests.

Regards,
Jose

Please Log in or Create an account to join the conversation.

Time to create page: 0.210 seconds